org.eclipse.draw2d.text

## Class BidiInfo

- java.lang.Object
- - org.eclipse.draw2d.text.BidiInfo

    public class BidiInfo
    extends java.lang.Object

This class is for INTERNAL use only.

Since:
  3.1

### Field Summary

Fields
`boolean` `leadingJoiner` Indicates if the ZWJ character needs to be prepended to text being rendered.
`int[]` `levelInfo` Odd-sized array consisting of bidi levels, interleaved with the offsets at which levels change.
`boolean` `trailingJoiner` Indicates if the ZRJ character needs to be appended to the text being rendered..

### Constructor Summary

Constructors
Constructor and Description
`BidiInfo()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### levelInfo

    public int[] levelInfo

Odd-sized array consisting of bidi levels, interleaved with the offsets at which levels change.

#### leadingJoiner

    public boolean leadingJoiner

Indicates if the ZWJ character needs to be prepended to text being rendered.

#### trailingJoiner

    public boolean trailingJoiner

Indicates if the ZRJ character needs to be appended to the text being rendered..

### Constructor Detail

#### BidiInfo

    public BidiInfo()